juzu.io

## Class Encoding

- java.lang.Object
- - juzu.io.Encoding

-     public abstract class Encoding
      extends Object

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Encoding` | `RFC3986` .

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Encoding(String displayName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `encodeQueryParamName(CharSequence s, Appendable appendable)`
    `abstract void` | `encodeQueryParamValue(CharSequence s, Appendable appendable)`
    `abstract void` | `encodeSegment(CharSequence s, Appendable appendable)`
    `String` | `getDisplayName()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFC3986

          public static final Encoding RFC3986

      .

  - ### Constructor Detail

    - #### Encoding

          public Encoding(String displayName)

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName()

    - #### encodeSegment

          public abstract void encodeSegment(CharSequence s,
                           Appendable appendable)
                                      throws IOException

      Throws:
        `IOException`

    - #### encodeQueryParamName

          public abstract void encodeQueryParamName(CharSequence s,
                                  Appendable appendable)
                                             throws IOException

      Throws:
        `IOException`

    - #### encodeQueryParamValue

          public abstract void encodeQueryParamValue(CharSequence s,
                                   Appendable appendable)
                                              throws IOException

      Throws:
        `IOException`

Copyright © 2017 eXo Platform SAS. All rights reserved.